Skip to main content
GET
fetch diagnostics product

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

diagnostic
string
required

The id or the vid of the diagnostics to retrieve.

Response

JSON A list array with a data property that contains an array of up to limit Diagnostics.

object
string

Value is “Diagnostics”

id
string
name
string
value
string
is_prime
boolean
field_in_alpha_version
string
field_in_beta_version
string
complex_field_in_alpha_beta
object
type
enum<string>
Available options:
Identity,
Prime,
Mersenne Prime,
Composite,
Perfect Squar
Example:

"{ \"object\": \"Diagnostic\", \"id\": \"1\", \"name\": \"one\", \"value\": 1, \"type\": \"Identity\" }"